import Cookies from 'js-cookie'
export function arrayToTree(list, {parentId = parentId, id = id}) {
  let parents = list.filter(i => !i[parentId])
  list.forEach(item => {
    let children = list.filter(i => i[parentId] === item[id])
    if (children.length) item.children = children
  })
  return parents
}
export function setToken() {
  return new Promise((resolve, reject) => {
    if (!Cookies.get('congress')) {
      window.insideH5ToApp('userInfo', function (obj) {
        window.alert(obj)
        if (typeof obj === 'string') obj = JSON.parse(obj)
        let {token, userId} = obj
        window.alert(token)
        Cookies.set('congress', token)
        resolve()
      })
    } else {
      resolve()
    }
  })
}